using System.Collections.Generic;
using System.Windows.Documents;

namespace EliteBGS;

public class GenericDiscordLog : DiscordLogGenerator {
    public override string ToString() {
        return "Generic";
    }

    public override string Name {
        get { return "Generic"; }
    }

    public override string[] SplitLog(string log, int maxcount = 2000) {
        return SplitLogWithHeader(log, "**Date:**", maxcount);
    }
}
